The upgrade process failed twice. It says that this may happen when trying to upgrade to a pre-release version of Ubuntu which I am trying to do so.

I think that I will stick with Ubuntu 12.04.x 64 bit LTS. Seems simpler and less problematic.